> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Channel By Id

> Gets a channel by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/channel/{channel_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/channel/{channel_id}:
    get:
      tags:
        - Channel
      summary: Get Channel By Id
      description: Gets a channel by its id
      operationId: get_channel_by_id_api_v1_channel__channel_id__get
      parameters:
        - name: channel_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Channel Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IChannelRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IChannelRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IChannelRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IChannelRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IChannelRead:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          type: string
          title: Name
        credentials:
          additionalProperties: true
          type: object
          title: Credentials
          default: {}
        channel_provider:
          anyOf:
            - $ref: '#/components/schemas/IChannelProviderEnum'
            - type: 'null'
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - org_id
        - name
        - channel_provider
        - id
      title: IChannelRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IChannelProviderEnum:
      type: string
      enum:
        - leadconnector
        - hubspot
        - google_calendar
        - zoho
        - freshdesk
        - insighto
        - modmed
        - twilio
        - custom
        - fb_messenger
        - instagram
        - paypal
        - postgres
        - plivo
        - telnyx
        - telegram
      title: IChannelProviderEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````